DWARF_GET_CIE_INDEX(3) | Library Functions Manual | DWARF_GET_CIE_INDEX(3)

# NAME

`dwarf_get_cie_index` — retrieve the index of a CIE descriptor

# LIBRARY

DWARF Access Library (libdwarf, -ldwarf)

# SYNOPSIS

`#include <libdwarf.h>`

int
`dwarf_get_cie_index`(Dwarf_Cie cie, Dwarf_Signed *cie_index, Dwarf_Error *err);

# DESCRIPTION

Function `dwarf_get_cie_index`() retrieves the zero-based index of a given CIE descriptor in the array of CIE descriptors returned by the functions dwarf_get_fde_list(3) and dwarf_get_fde_list_eh(3).

Argument cie should reference a valid DWARF CIE descriptor.

Argument cie_index should point to a location that will hold the returned index.

# RETURN VALUES

Function `dwarf_get_cie_index`() returns `DW_DLV_OK` when it succeeds. In case of an error, it returns `DW_DLV_ERROR` and sets the argument err.

# ERRORS

Function `dwarf_get_cie_index`() can fail with:

[`DW_DLE_ARGUMENT`]
  Either of arugments cie or cie_index was `NULL`.

# SEE ALSO

dwarf(3), dwarf_get_cie_info(3), dwarf_get_cie_of_fde(3), dwarf_get_fde_list(3), dwarf_get_fde_list_eh(3)

May 22, 2011 | NetBSD 11.0